summaryrefslogtreecommitdiffstats
path: root/maven
diff options
context:
space:
mode:
authorMark Raynsford <[email protected]>2012-11-15 17:01:27 +0000
committerSven Gothel <[email protected]>2012-12-25 10:08:44 +0100
commit211a57c514d72735a54cd95826e9da1f915aec76 (patch)
treebeebcdb860cd87b1aa71d66c179e408d9598f4d3 /maven
parentfec3baf2834693e27666391aadc70e3e2e472b8c (diff)
Abstract reading of make-projects.txt with make-list-projects.sh in order to allow for comments in the file
Conflicts: maven/make-copy-jars.sh maven/make-deploy-one.sh maven/make-projects.txt
Diffstat (limited to 'maven')
-rwxr-xr-xmaven/make-copy-jars.sh3
-rwxr-xr-xmaven/make-copy-poms.sh2
-rwxr-xr-xmaven/make-deploy-one.sh2
-rwxr-xr-xmaven/make-deploy.sh2
-rwxr-xr-xmaven/make-directories.sh2
-rwxr-xr-xmaven/make-list-projects.sh2
-rwxr-xr-xmaven/make-poms.sh2
-rw-r--r--maven/make-projects.txt5
8 files changed, 14 insertions, 6 deletions
diff --git a/maven/make-copy-jars.sh b/maven/make-copy-jars.sh
index baf7a89..482883f 100755
--- a/maven/make-copy-jars.sh
+++ b/maven/make-copy-jars.sh
@@ -34,7 +34,7 @@ then
exit 1
fi
-PROJECTS=`cat make-projects.txt` || exit 1
+PROJECTS=`./make-list-projects.sh` || exit 1
PLATFORMS=`cat make-platforms.txt | awk '{print $1}'` || exit 1
IFS="
@@ -95,5 +95,6 @@ do
SOURCE="empty.jar"
TARGET="output/${NAME}/${VERSION}/${NAME}-${VERSION}-javadoc.jar"
copy "${SOURCE}" "${TARGET}"
+
done
diff --git a/maven/make-copy-poms.sh b/maven/make-copy-poms.sh
index b74d77b..44e5e06 100755
--- a/maven/make-copy-poms.sh
+++ b/maven/make-copy-poms.sh
@@ -25,7 +25,7 @@ fi
VERSION="$1"
shift
-PROJECTS=`cat make-projects.txt | awk -F: '{print $1}'` || exit 1
+PROJECTS=`./make-list-projects.sh | awk -F: '{print $1}'` || exit 1
for PROJECT in ${PROJECTS}
do
diff --git a/maven/make-deploy-one.sh b/maven/make-deploy-one.sh
index d9d6ae2..a69e4ab 100755
--- a/maven/make-deploy-one.sh
+++ b/maven/make-deploy-one.sh
@@ -28,7 +28,7 @@ fi
PLATFORMS=`cat make-platforms.txt | awk '{print $1}'` || exit 1
CURRENT_DIR=`pwd` || exit 1
-PROJECT_LINE=`egrep "^${NAME}\s+" make-projects.txt` || exit 1
+PROJECT_LINE=`./make-list-projects.sh | egrep "^${NAME}\s+"` || exit 1
# Determine whether or not the project has native jars
NATIVES=`echo "${PROJECT_LINE}" | awk -F: '{print $2}'` || exit 1
diff --git a/maven/make-deploy.sh b/maven/make-deploy.sh
index 3540cec..5d6d21d 100755
--- a/maven/make-deploy.sh
+++ b/maven/make-deploy.sh
@@ -14,7 +14,7 @@ fi
VERSION="$1"
shift
-PROJECTS=`cat make-projects.txt` || exit 1
+PROJECTS=`./make-list-projects.sh` || exit 1
PLATFORMS=`cat make-platforms.txt | awk '{print $1}'` || exit 1
CURRENT_DIR=`pwd` || exit 1
diff --git a/maven/make-directories.sh b/maven/make-directories.sh
index b0f124a..f0404e9 100755
--- a/maven/make-directories.sh
+++ b/maven/make-directories.sh
@@ -9,7 +9,7 @@ fi
VERSION="$1"
shift
-PROJECTS=`cat make-projects.txt | awk -F: '{print $1}'` || exit 1
+PROJECTS=`./make-list-projects.sh | awk -F: '{print $1}'` || exit 1
for PROJECT in ${PROJECTS}
do
diff --git a/maven/make-list-projects.sh b/maven/make-list-projects.sh
new file mode 100755
index 0000000..b932926
--- /dev/null
+++ b/maven/make-list-projects.sh
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec grep -v '^#' make-projects.txt
diff --git a/maven/make-poms.sh b/maven/make-poms.sh
index 233b01c..568e840 100755
--- a/maven/make-poms.sh
+++ b/maven/make-poms.sh
@@ -9,7 +9,7 @@ fi
VERSION="$1"
shift
-PROJECTS=`cat make-projects.txt | awk -F: '{print $1}'` || exit 1
+PROJECTS=`./make-list-projects.sh | awk -F: '{print $1}'` || exit 1
for PROJECT in ${PROJECTS}
do
diff --git a/maven/make-projects.txt b/maven/make-projects.txt
index 141d707..20eaa1e 100644
--- a/maven/make-projects.txt
+++ b/maven/make-projects.txt
@@ -1,3 +1,8 @@
+#
+# Lines prefixed with '#' are considered comments and ignored.
+#
+# project-name : has-natives? : use-dummy-jar? : source-jar-name?
+#
gluegen-rt : natives : no-dummy-jar : gluegen-java-src.zip
gluegen-rt-main : no-natives : dummy-jar : dummy-src
gluegen-rt-android : no-natives : no-dummy-jar : gluegen-java-src.zip